<section class="list-log-activity-access">
  <div [ngClass]="[jds.card]">
    <div [ngClass]="[jds.tablePaging]">
      <div [ngClass]="[jds.tableResponsive]">
        <table
          [ngClass]="[jds.table]"
          role="table"
          aria-label="Log Activity"
          aria-describedby="Table Log Activity"
        >
          <thead>
            <tr>
              <th
                class="table-head"
                [style.width.%]="10"
                [isSortable]="true"
                [currentSort]="{
                  sort: filterHelper.sort,
                  direction: filterHelper.directory
                }"
                [colorScheme]="'gray'"
                (filterSort)="filterSort('date_start')"
                scope="col"
                jdsBiTableHead
                column="date_start"
              >
                Waktu Awal
              </th>
              <th
                [style.width.%]="10"
                scope="col"
              >
                Waktu Akhir
              </th>
              <th scope="col">Judul</th>
              <th scope="col">Tipe</th>
              <th scope="col">Username</th>
              <th scope="col">Nama</th>
              <th
                [style.width.%]="10"
                scope="col"
              >
                Role
              </th>
              <th scope="col">Organisasi</th>
              <th scope="col">Jabatan</th>
              <th scope="col">Organisasi Pemilik</th>
            </tr>
          </thead>
          <tbody>
            <ng-container *ngIf="isLoadingList$ | async">
              <tr *ngFor="let number of [0, 1, 2, 3, 4]">
                <td *ngFor="let number of [0, 1, 2, 3, 4, 5, 6, 7, 8, 9]">
                  <div class="wrapper-skeleton">
                    <ngx-skeleton-loader
                      [theme]="{
                        width: '80%',
                        'border-radius': '0',
                        height: '22px',
                        'margin-bottom': '0px'
                      }"
                    />
                  </div>
                </td>
              </tr>
            </ng-container>

            <ng-container *ngIf="(isLoadingList$ | async) === false">
              <tr *ngFor="let row of data$ | async">
                <td>{{ row.getDateStart() }}</td>
                <td>{{ row.getDateEnd() }}</td>
                <td>
                  <ng-container *ngIf="filter.data === 'dataset'">
                    {{ row.dataset_name }}
                  </ng-container>
                  <ng-container *ngIf="filter.data === 'indicator'">
                    {{ row.indicator_name }}
                  </ng-container>
                  <ng-container *ngIf="filter.data === 'visualization'">
                    {{ row.visualization_name }}
                  </ng-container>
                </td>
                <td>{{ row.type | uppercase }}</td>
                <td>{{ row.user_username }}</td>
                <td>{{ row.user_name }}</td>
                <td>{{ row.getRole() }}</td>
                <td>{{ row.user_organization_name }}</td>
                <td>{{ row.user_position_name }}</td>
                <td>
                  <ng-container *ngIf="filter.data === 'dataset'">
                    {{ row.dataset_organization_name }}
                  </ng-container>
                  <ng-container *ngIf="filter.data === 'indicator'">
                    {{ row.indicator_organization_name }}
                  </ng-container>
                  <ng-container *ngIf="filter.data === 'visualization'">
                    {{ row.visualization_organization_name }}
                  </ng-container>
                </td>
              </tr>

              <ng-container *ngIf="(data$ | async).length === 0">
                <tr>
                  <td
                    class="text-center"
                    colspan="10"
                  >
                    Tidak ada Data.
                  </td>
                </tr>
              </ng-container>
            </ng-container>
          </tbody>
        </table>
      </div>
    </div>

    <ng-container *ngIf="(isLoadingList$ | async) === false">
      <ng-container *ngIf="(data$ | async).length > 0">
        <jds-bi-pagination
          [colorScheme]="'blue'"
          [perPageItems]="perPageItems"
          [pagination]="pagination"
          [perPage]="filter.perPage"
          [page]="filter.currentPage"
          (filterPerPage)="filterPerPage($event)"
          (filterPage)="filterPage($event)"
        />
      </ng-container>
    </ng-container>
  </div>
</section>
